/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import {exists, mapValues} from '../runtime';
/**
 *
 * @export
 * @interface TransactionReviewRequestBody
 */
export interface TransactionReviewRequestBody {
  /**
   *
   * @type {boolean}
   * @memberof TransactionReviewRequestBody
   */
  approve: boolean;
}

export function TransactionReviewRequestBodyFromJSON(
  json: any
): TransactionReviewRequestBody {
  return TransactionReviewRequestBodyFromJSONTyped(json, false);
}

export function TransactionReviewRequestBodyFromJSONTyped(
  json: any,
  ignoreDiscriminator: boolean
): TransactionReviewRequestBody {
  if (json === undefined || json === null) {
    return json;
  }
  return {
    approve: json['approve'],
  };
}

export function TransactionReviewRequestBodyToJSON(
  value?: TransactionReviewRequestBody | null
): any {
  if (value === undefined) {
    return undefined;
  }
  if (value === null) {
    return null;
  }
  return {
    approve: value.approve,
  };
}
